package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Wan IPv4 config
 */
@ApiModel(description = "Wan IPv4 config")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class OsgWanPortIpv4ConfigVo   {
  @JsonProperty("ip")
  private String ip;

  @JsonProperty("ip2")
  private String ip2;

  @JsonProperty("gateway")
  private String gateway;

  @JsonProperty("gateway2")
  private String gateway2;

  @JsonProperty("priDns")
  private String priDns;

  @JsonProperty("sndDns")
  private String sndDns;

  @JsonProperty("priDns2")
  private String priDns2;

  @JsonProperty("sndDns2")
  private String sndDns2;

  @JsonProperty("mac")
  private String mac;

  public OsgWanPortIpv4ConfigVo ip(String ip) {
    this.ip = ip;
    return this;
  }

  /**
   * Get ip
   * @return ip
  */
  @ApiModelProperty(value = "")


  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }

  public OsgWanPortIpv4ConfigVo ip2(String ip2) {
    this.ip2 = ip2;
    return this;
  }

  /**
   * Get ip2
   * @return ip2
  */
  @ApiModelProperty(value = "")


  public String getIp2() {
    return ip2;
  }

  public void setIp2(String ip2) {
    this.ip2 = ip2;
  }

  public OsgWanPortIpv4ConfigVo gateway(String gateway) {
    this.gateway = gateway;
    return this;
  }

  /**
   * Get gateway
   * @return gateway
  */
  @ApiModelProperty(value = "")


  public String getGateway() {
    return gateway;
  }

  public void setGateway(String gateway) {
    this.gateway = gateway;
  }

  public OsgWanPortIpv4ConfigVo gateway2(String gateway2) {
    this.gateway2 = gateway2;
    return this;
  }

  /**
   * Get gateway2
   * @return gateway2
  */
  @ApiModelProperty(value = "")


  public String getGateway2() {
    return gateway2;
  }

  public void setGateway2(String gateway2) {
    this.gateway2 = gateway2;
  }

  public OsgWanPortIpv4ConfigVo priDns(String priDns) {
    this.priDns = priDns;
    return this;
  }

  /**
   * Get priDns
   * @return priDns
  */
  @ApiModelProperty(value = "")


  public String getPriDns() {
    return priDns;
  }

  public void setPriDns(String priDns) {
    this.priDns = priDns;
  }

  public OsgWanPortIpv4ConfigVo sndDns(String sndDns) {
    this.sndDns = sndDns;
    return this;
  }

  /**
   * Get sndDns
   * @return sndDns
  */
  @ApiModelProperty(value = "")


  public String getSndDns() {
    return sndDns;
  }

  public void setSndDns(String sndDns) {
    this.sndDns = sndDns;
  }

  public OsgWanPortIpv4ConfigVo priDns2(String priDns2) {
    this.priDns2 = priDns2;
    return this;
  }

  /**
   * Get priDns2
   * @return priDns2
  */
  @ApiModelProperty(value = "")


  public String getPriDns2() {
    return priDns2;
  }

  public void setPriDns2(String priDns2) {
    this.priDns2 = priDns2;
  }

  public OsgWanPortIpv4ConfigVo sndDns2(String sndDns2) {
    this.sndDns2 = sndDns2;
    return this;
  }

  /**
   * Get sndDns2
   * @return sndDns2
  */
  @ApiModelProperty(value = "")


  public String getSndDns2() {
    return sndDns2;
  }

  public void setSndDns2(String sndDns2) {
    this.sndDns2 = sndDns2;
  }

  public OsgWanPortIpv4ConfigVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Get mac
   * @return mac
  */
  @ApiModelProperty(value = "")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OsgWanPortIpv4ConfigVo osgWanPortIpv4ConfigVo = (OsgWanPortIpv4ConfigVo) o;
    return Objects.equals(this.ip, osgWanPortIpv4ConfigVo.ip) &&
        Objects.equals(this.ip2, osgWanPortIpv4ConfigVo.ip2) &&
        Objects.equals(this.gateway, osgWanPortIpv4ConfigVo.gateway) &&
        Objects.equals(this.gateway2, osgWanPortIpv4ConfigVo.gateway2) &&
        Objects.equals(this.priDns, osgWanPortIpv4ConfigVo.priDns) &&
        Objects.equals(this.sndDns, osgWanPortIpv4ConfigVo.sndDns) &&
        Objects.equals(this.priDns2, osgWanPortIpv4ConfigVo.priDns2) &&
        Objects.equals(this.sndDns2, osgWanPortIpv4ConfigVo.sndDns2) &&
        Objects.equals(this.mac, osgWanPortIpv4ConfigVo.mac);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ip, ip2, gateway, gateway2, priDns, sndDns, priDns2, sndDns2, mac);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OsgWanPortIpv4ConfigVo {\n");
    
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("    ip2: ").append(toIndentedString(ip2)).append("\n");
    sb.append("    gateway: ").append(toIndentedString(gateway)).append("\n");
    sb.append("    gateway2: ").append(toIndentedString(gateway2)).append("\n");
    sb.append("    priDns: ").append(toIndentedString(priDns)).append("\n");
    sb.append("    sndDns: ").append(toIndentedString(sndDns)).append("\n");
    sb.append("    priDns2: ").append(toIndentedString(priDns2)).append("\n");
    sb.append("    sndDns2: ").append(toIndentedString(sndDns2)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

